/***************************************************************************
 ** This file is part of the lirc-0.5.4 package ****************************
 ** LIRC - Linux Infrared Remote Control ***********************************
 ***************************************************************************
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published
 * by the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 */


#ifndef _LIRC_HARDWARE_H
#define _LIRC_HARDWARE_H

#include <linux/lp.h>

#  define LIRC_PORT_LEN 3

#  define LIRC_PORT_DATA              0    /* base */
#  define LIRC_PORT_DATA_BIT       0x01    /* 1st bit */
#  define LIRC_PORT_TIMER             1    /* status port */
#  define LIRC_PORT_TIMER_BIT  LP_PBUSY    /* busy signal */
#  define LIRC_PORT_SIGNAL            1    /* status port */
#  define LIRC_PORT_SIGNAL_BIT  LP_PACK    /* ack signal */
#  define LIRC_PORT_IRQ               2    /* control port */

#  define LIRC_SFH506_DELAY 90             /* delay t_phl in usecs */

#endif
